/* --------------------------------------------------------
 Generated by Lukman Hakim using sql2java (http://sql2java.sourceforge.net/ )
 jdbc driver used at code generation time: net.sourceforge.jtds.jdbc.Driver
 
 Author : Lukman Hakim (lukman.uki@gmail.com) 
 Date Created : 02/11/2017
 --------------------------------------------------------
*/
package com.portofolio.entity.vo;

import javax.validation.constraints.*;
import  javax.validation.constraints.Max;
import  javax.validation.constraints.Min;
import  javax.validation.constraints.NotNull;

import static com.portofolio.base.adapter.DatabaseAdapter.Constant.*;

import javax.persistence.*;
import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;
import lombok.EqualsAndHashCode;


@Embeddable
@Getter
@Setter
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode
public class MapKalenderToHariLiburId implements java.io.Serializable {
     /**
     * 
     */
    private static final String cDefKdProfile =INTEGER;
    @Column(name = "KdProfile",   columnDefinition = cDefKdProfile)
    @NotNull(message = "mapkalendertohariliburid.kdprofile.notnull")
    private Integer kdProfile;
    
    private static final String cDefKdTanggal =INTEGER;
    @Column(name = "KdTanggal",   columnDefinition = cDefKdTanggal)
    @NotNull(message = "mapkalendertohariliburid.kdtanggal.notnull")
    private Integer kdTanggal;
    
    private static final String cDefKdHariLibur =INTEGER;
    @Column(name = "KdHariLibur",   columnDefinition = cDefKdHariLibur)
    @NotNull(message = "mapkalendertohariliburid.kdharilibur.notnull")
    private Integer kdHariLibur;
    

    
    

}
